
jQuery(document).ready(function ($) {

    if(!(/Android|iPhone|iPad|iPod|BlackBerry|Windows Phone/i).test(navigator.userAgent || navigator.vendor || window.opera)){
	
		var c = skrollr.init({
			forceHeight: !1,
			smoothScrolling: !1,
			easing: {
				customEase: function (a) {
					return 5.295 * (a * a * a * a * a) - 18.5325 * (a * a * a * a) + 26.08 * (a * a * a) - 18.59 * (a * a) + 6.7475 * a
				}
			}
		});

		c.refresh(), (window).focus(function () {
			c.refresh();
		});
	
	}
	else{
		$('body').addClass('skrollr-on-mobile');
	}

});

/*******************************
 * jQuery LazyLoad Posts
 *******************************/

jQuery(document).ready(function ($) {

    //ajaxLock is just a flag to prevent double clicks and spamming
    var ajaxLock = false;

    if( ! ajaxLock ) {

        function ajax_next_posts() {

            ajaxLock = true;

            //How many posts there's total
            var totalPosts = parseInt( jQuery( '#total-posts-count' ).text() );
            //How many have been loaded
            var postOffset = jQuery( '#tpl-adapt-more li' ).length;
            var postOrderBy = jQuery( '#total-orderby' ).text();
            var postOrder = jQuery( '#total-order' ).text();
            var postPortfolioId = parseInt( jQuery( '#total-portfolio-id' ).text() );
            var totalPerPage = parseInt( jQuery( '#total-per-page' ).text() );

            //How many do you want to load in single patch
            var postsPerPage = totalPerPage;

            //Hide button if all posts are loaded
            if( totalPosts < postOffset + ( 1 * postsPerPage ) ) {

                jQuery( '#more-posts-button' ).fadeOut();

            }

            //Change that to your right site url unless you've already set global ajaxURL
            //var ajaxURL = 'http://devel15/qcportfolio-pro/wp-admin/admin-ajax.php';

            //Parameters you want to pass to query
            var ajaxData = '&post_pid=' + postPortfolioId + '&post_orderby=' + postOrderBy + '&post_order=' + postOrder + '&post_perpage=' + totalPerPage + '&post_offset=' + postOffset + '&action=ajax_next_posts';

            //Ajax call itself
            jQuery.ajax({

                type: 'get',
                url:  ajaxURL,
                data: ajaxData,
                dataType: 'json',

                //Ajax call is successful
                success: function ( response ) {

                    //Add new posts
                    jQuery( '#tpl-adapt-more' ).append( response[0] );
                    //Update the count of total posts
                    jQuery( '#total-posts-count' ).text( response[1] );

                    ajaxLock = false;
                },

                //Ajax call is not successful, still remove lock in order to try again
                error: function () {

                    ajaxLock = false;
                }
            });
        }
    }

    //Load more posts button
    jQuery( 'body #more-posts-button' ).click( function( e ) {

        e.preventDefault(); 

        ajax_next_posts(); 

    });

}); //end of jq document ready

/*******************************
 * Lightbox Contents
 *******************************/
jQuery(document).ready(function($){

    $(".load-content-inlb").on("click", function(e){

        var post_id = $(this).attr('data-pid');
        var rand_id = $(this).attr('data-rand');

        //Ajax call itself
        jQuery.ajax({

            type: 'post',
            url:  ajaxURL,
            data: {
                'action':'load_qcpx_portfolio_details',
                'post_id' : post_id
            },
            dataType: 'json',

            //Ajax call is successful
            success: function ( response ) {

                jQuery( '#dump-content-' + post_id + '-' + rand_id ).html( response[0] );

            },

            error: function () {
                console.log("Ajax Call Failed!");
            }
        });

    });

});
jQuery(document).ready(function($){
    $('.px-open-popup-il').magnificPopup({
      type:'inline',
      midClick: true,
      callbacks: {
          open: function() {
            this.contentContainer.addClass('qcld-portfolio-x-magnific-popup');
          }
        }
    });

    $('.qcld-iframe-popup').magnificPopup({
        type: 'iframe',
    });
    
});







