<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');


wp_enqueue_style('jquery-owl-carousel-css', plugin_dir_url(__FILE__) . '/css/owl.carousel.min.css' );
wp_enqueue_style('showcase-style7-css', plugin_dir_url(__FILE__) . '/css/style.css' );

?>

<div class="portfolio-showcase-container showcase-template-7">

    <div class="qc-portfolio-showcase-area">

        <div class="owl-carousel qc-portfolio-showcase-slider">

        <?php 
            
            $scase_id = "tpl06";

            while ( $portfolio->have_posts() ) :
                $portfolio->the_post();

            $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

            $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

            $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true);  

            $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

        ?>
    
        <div class="item">

            <div class="qc-portfolio-showcase-item-box qc-portfolio-showcase-content-box">
                
                <h1>
                    <?php if( $target_open == 'separate-page' ) : ?>
                        <a class="showcase-vdetails" href="<?php echo get_permalink(); ?>">
                    <?php else : ?>
                       <a class="px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                    <?php endif; ?>
                        <?php the_title(); ?>
                    </a>
                </h1>

                <div>
                    <?php 
                        $short_description = get_post_meta( get_the_ID(), 'qc_portfolio_wysiwyg', true);
                        
                        echo $short_description;
                    ?>
                </div>

                <?php if( $target_open == 'separate-page' ) : ?>
                    <a class="showcase-vdetails" href="<?php echo get_permalink(); ?>">
                <?php else : ?>
                   <a class="px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                <?php endif; ?>
                    <?php _e("View More", "portfolio-x"); ?>
                </a>

            </div>

            <div class="qc-portfolio-showcase-item-box qc-portfolio-showcase-img-box">
                <a class="px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                    <?php 
                        echo get_the_post_thumbnail( get_the_ID(), 'thumbnail', array('class' => 'portfolio_img') );
                    ?>
                </a>
            </div>

            <!--lightbox-content-->
                <!-- #dump-content -->
                <div style="display: none;">
                   <!-- Contents Will be dumpped here --> 
                   <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                        <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                           
                       </div>
                   </div>
                </div>
                <!-- /#dump-content -->
            <!--/lightbox-content-->

        </div>

        <?php 
            endwhile; 
	        wp_reset_postdata(); 
        ?>

        </div>

    </div>

</div>
<!--container-ex-->

<?php 

    wp_enqueue_script('jquery');
    wp_enqueue_script('jquery-owl-carousel-js', PORTFOLIO_URL . '/js/owl.carousel.min.js', array('jquery') );

?>

<script>
    jQuery(document).ready(function($){
        $(".owl-carousel").owlCarousel({
            items: 1,
            nav:true,
            autoplay: true,
            autoplayHoverPause: true
        });
    });
</script>