jQuery(document).ready(function () {

    
    (function ($, F) {
    
        F.transitions.dropIn = function() {
            var endPos = F._getPosition(true);

            endPos.top = (parseInt(endPos.top, 10) - 500) + 'px';

            F.wrap.css(endPos).show().animate({
                top: '+=500px'
            }, {
                duration: F.current.openSpeed,
                complete: F._afterZoomIn
            });
        };

        F.transitions.dropOut = function() {
            F.wrap.removeClass('fancybox-opened').animate({
                top: '-=350px'
            }, {
                duration: F.current.closeSpeed,
                complete: F._afterZoomOut
            });
        };
        // Next gallery item - fly from left side to the center
        F.transitions.slideIn = function() {
            var endPos = F._getPosition(true);

            endPos.left = (parseInt(endPos.left, 10) - 200) + 'px';
            endPos.opacity = 0;
            
            F.wrap.css(endPos).show().animate({
                left: '+=200px',
                opacity: 1
            }, {
                duration: F.current.nextSpeed,
                complete: F._afterZoomIn
            });
        };
        
        // Current gallery item - fly from center to the right
        F.transitions.slideOut = function() {
            F.wrap.removeClass('fancybox-opened').animate({
                left: '+=200px',
                opacity: 0
            }, {
                duration: F.current.prevSpeed,
                complete: function () {
                    $(this).trigger('onReset').remove();
                }
            });
        };
        F.transitions.curtainIn = function() {
        var endHeight = F.wrap.height();

            F.wrap.css({height:0}).show().animate({
                height: '+=' + endHeight + 'px'
                }, {
                    duration: F.current.openSpeed,
                    complete: F._afterZoomIn
                });
        };

        F.transitions.curtainOut = function() {
            F.wrap.removeClass('fancybox-opened').animate({
                height : '0px'
            }, {
                duration: F.current.closeSpeed,
                complete: F._afterZoomOut
            });
        };
    }(jQuery, jQuery.qcld_fancybox));


    jQuery(".single_image").qcld_fancybox({
        fitToView: true,
        width: '100%',
        height: '100%',
        autoSize: false,
        afterClose: function () {
            jQuery('.qcld_box').qcld_fancybox().trigger('click');
            jQuery.append('<div class="fancybox-overlay fancybox-overlay-fixed" style="display: block; width: auto; height: auto;"></div>');
        },


    });

    call_first_instance();


    function call_first_instance() {
        jQuery(".qcld_box").qcld_fancybox({
            prevEffect: 'none',
            nextEffect: 'none',
            fitToView: true,
            width: '100%',
            height: '100%',
            autoSize: false,

            openMethod : 'dropIn',
            openSpeed : 250,

            closeMethod : 'dropOut',
            closeSpeed : 100,

            helpers: {
                thumbs: {
                    width: 50,
                    height: 50
                }
            }
        });
    }


    jQuery("a.fancy_single_image").qcld_fancybox();


});