<?php
define('qcpx_LICENSING_PLUGIN_SLUG', 'portfolio-x-pro/portfolio-x.php');
define('qcpx_LICENSING_PLUGIN_NAME', 'portfolio-x-pro');
define('qcpx_LICENSING__DIR', plugin_dir_path(__DIR__));

define('qcpx_LICENSING_REMOTE_PATH', 'https://www.ultrawebmedia.com/li/plugins/portfolio-x/update.php');
define('qcpx_LICENSING_PRODUCT_DEV_URL', 'https://quantumcloud.com/products/');

//start new-update-for-codecanyon
define('qcpx_ENVATO_PLUGIN_ID', 20283758);
//end new-update-for-codecanyon

function get_qcpx_licensing_plugin_data(){
	include_once(ABSPATH.'wp-admin/includes/plugin.php');
	return get_plugin_data(qcpx_LICENSING__DIR.'/portfolio-x.php', false);
}

//License Options
function get_qcpx_licensing_key(){
	return get_option('qcld_qcpx_enter_license_key');
}

function get_qcpx_envato_key(){
	return get_option('qcld_qcpx_enter_envato_key');
}

function get_qcpx_licensing_buy_from(){
	return get_option('qcld_qcpx_buy_from_where');
}


//Update Transients
function get_qcpx_update_transient(){
	return get_transient('qcld_update_qcpx');
}

function set_qcpx_update_transient($plugin_object){
	return set_transient( 'qcld_update_qcpx', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_qcpx_update_transient(){
	return delete_transient( 'qcld_update_qcpx' );
}


//Renewal Transients
function get_qcpx_renew_transient(){
	return get_transient('qcld_renew_qcpx_subscription');
}

function set_qcpx_renew_transient($plugin_object){
	return set_transient( 'qcld_renew_qcpx_subscription', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_qcpx_renew_transient(){
	return delete_transient( 'qcld_renew_qcpx_subscription' );
}


//Invalid License Options
function get_qcpx_invalid_license(){
	return get_option('qcpx_invalid_license');
}

function set_qcpx_invalid_license(){
	return update_option('qcpx_invalid_license', 1);
}

function delete_qcpx_invalid_license(){
	return delete_option('qcpx_invalid_license');
}
function qcpx_get_licensing_url(){
	return admin_url('edit.php?post_type=qcpx_portfolio&page=qcld_qcpx_help_license');
}

//Valid License
function get_qcpx_valid_license(){
	return get_option('qcpx_valid_license');
}
function set_qcpx_valid_license(){
	return update_option('qcpx_valid_license', 1);
}
function delete_qcpx_valid_license(){
	return delete_option('qcpx_valid_license');
}

//staging or live 
function get_qcpx_site_type(){
	return get_option('qcld_qcpx_site_type');
}



//start new-update-for-codecanyon
function get_qcpx_license_purchase_code(){
	return get_option('qcld_qcpx_enter_license_or_purchase_key');
}

function get_qcpx_enter_license_notice_dismiss_transient(){
	return get_transient('get_qcpx_enter_license_notice_dismiss_transient');
}

function set_qcpx_enter_license_notice_dismiss_transient(){
	return set_transient('get_qcpx_enter_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}

function get_qcpx_invalid_license_notice_dismiss_transient(){
	return get_transient('get_qcpx_invalid_license_notice_dismiss_transient');
}

function set_qcpx_invalid_license_notice_dismiss_transient(){
	return set_transient('get_qcpx_invalid_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}
//end new-update-for-codecanyon