<?php

	wp_enqueue_style('qcld-showcase-01-css', PORTFOLIO_THEME_URL . '/showcase/' . $template . '/css/style.css');
	
?>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<div class="showcase-container">

    <?php 
        $scase_id = "tpl01";

        while ( $portfolio->have_posts() ) :
            $portfolio->the_post();

        $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

        $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true);

        $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true);  

        $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");
    ?>

    <div class="qc-grid-showcase-item portfolio-fire-hover">
        <div class="qc-grid-showcase-img">
            
            <?php if( $target_open == 'separate-page' ) : ?>
                <a class="showcase-vdetails2" href="<?php echo get_permalink(); ?>">
            <?php else : ?>
               <a class="qcld_box load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" href="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>" data-rand="<?php echo $randomNum; ?>">
            <?php endif; ?>
                <?php 
                    echo get_the_post_thumbnail( get_the_ID(), 'full', array('class' => 'portfolio_img') ); 
                ?>
            </a>

            <!--new hover effect-->
            <div class="qc-grid-hover-effect">
                <div class="qc-grid-hover-effect-button">
                    <div class="qc-grid-hover-effect-button-area">
                        <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                            <i class="fa fa-search"></i>
                        </a>

                        <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                            <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php }else{ ?>
                                <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php } ?>
                        <?php endif; ?>
                        
                        <?php if( $target_open == 'separate-page' ) : ?>
                            <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a>
                        <?php else : ?>
                            <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a> 
                        <?php endif; ?>

                    </div>
                    <!--/qc-circle-grid-button-area-->
                </div>
            </div>
            <!--/new hover effect-->

        </div>
        <!--qc-grid-showcase-img-->
        <div class="qc-grid-showcase-info">
            <h3>
            	<?php if( $link_title ) : ?>
                    <a href="<?php echo get_permalink(); ?>">
                        <?php echo get_the_title(); ?>
                    </a>
                <?php else: ?>
                    <?php echo get_the_title(); ?>
                <?php endif; ?>
            </h3>
        </div>
        <!--qc-grid-showcase-info-->

        <!--lightbox-content-->
            <!-- #dump-content -->
            <div style="display: none;">
               <!-- Contents Will be dumpped here --> 
               <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                    <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                       
                   </div>
               </div>
            </div>
            <!-- /#dump-content -->
        <!--/lightbox-content-->

    </div>
    <!--qc-grid-showcase-item-->

    <?php endwhile; wp_reset_postdata(); ?>

    <div class="clear"></div>

</div>
<!--container-ex-->